Create customer
POST
https://api.light.inc/v1/customers
Creates a new customer
Nothing is checked for uniqueness: the same name, email or VAT number can be created any number of times, so de-duplicate on your side. address is a deprecated alias of billingAddress (one value, returned under both names). email must be a valid address (CUSTOMER_INVALID_EMAIL). For a French billing address the VAT number and registration number are cross-checked (CUSTOMER_INVALID_FRENCH_IDENTIFIERS) and a missing SIREN is derived from the VAT number. Created ACTIVE.
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Headers
-
X-Idempotency-Keystring
Request body
application/json;charset=UTF-8
-
namestring -
emailstring -
addressobject-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
billingAddressobject-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
shippingAddressobject-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
domainstring -
descriptionstring -
vatNumberstring -
businessRegistrationNumberstring -
easCodestring -
einvoiceAddressstring -
einvoiceNetworkstringFR_PA- France Plateforme Agréée (Chorus Pro / Annuaire) e-invoice networkMYDATA- Greece myDATA e-invoice networkNEMHANDEL- NemHandel e-invoice networkPEPPOL- Peppol e-invoice networkPORTUGUESE_TAX_REPORTING- Portuguese tax reporting (ATCUD) e-invoice networkSDI- SDI (Sistema di Interscambio) e-invoice networkVERIFACTU- Spain VERI*FACTU tax reporting e-invoice network
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
FR_PAMYDATANEMHANDELPEPPOLPORTUGUESE_TAX_REPORTINGSDIVERIFACTU -
typestringBUSINESS- Business customerCONSUMER- Consumer customerGOVERNMENT- Government customer
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BUSINESSCONSUMERGOVERNMENT -
logoUrlstring -
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group.
-
valueIdsarray of string · uuidIDs of the selected custom property values. It behaves as a PUT operation, so if empty the existing ones will be effectively deleted.
Catalogue value ids for this group. Required; send
[](with an emptyinlineValues) to clear the group.SINGLE_SELECTandMULTI_SELECTgroups accept nothing else. See Custom properties on writes. -
inlineValuesarray of stringInline custom property values (used for TEXT/NUMERIC/DATE/etc. groups). It behaves as a PUT operation, so if empty or null the existing ones will be effectively deleted.
Literal values for
TEXT,NUMERIC,BOOLEANandDATEgroups, as strings (yyyy-MM-ddfor dates). Rejected on select groups withCUSTOM_PROPERTY_VALUE_TYPE_MISMATCH. See Custom properties on writes.
-
-
recipientEmailsarray of stringBilling email recipients ("Send to") used when sending invoices to this customer
-
ccEmailsarray of stringBilling email CC recipients used when sending invoices to this customer
Response
-
idstring · uuidUnique identifier for the object
-
namestringName of the customer
-
emailstringEmail address of the customer
-
addressobjectDeprecated alias of
billingAddress: the two are one value.-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
billingAddressobjectThe address printed on invoices.
-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
shippingAddressobjectDelivery address, when different from the billing address.
-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringCity.
-
statestringState or region, where the country uses one.
-
zipcodestringPostal code.
-
streetstringFirst address line.
-
street2stringSecond address line.
-
-
statusstringCurrent status of the customer
ACTIVE- The customer is active and can be used in invoices and contractsARCHIVED- The customer is archived and cannot be used in new invoices or contracts
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACTIVEARCHIVED -
descriptionstringDescription or notes about the customer
-
vatNumberstringVAT number of the customer
-
businessRegistrationNumberstringBusiness registration number of the customer
-
easCodestringElectronic Address Scheme code used for sending e-invoices
-
einvoiceAddressstringE-invoice address for the customer
-
einvoiceNetworkstringE-invoice network the customer is registered on
FR_PA- France Plateforme Agréée (Chorus Pro / Annuaire) e-invoice networkMYDATA- Greece myDATA e-invoice networkNEMHANDEL- NemHandel e-invoice networkPEPPOL- Peppol e-invoice networkPORTUGUESE_TAX_REPORTING- Portuguese tax reporting (ATCUD) e-invoice networkSDI- SDI (Sistema di Interscambio) e-invoice networkVERIFACTU- Spain VERI*FACTU tax reporting e-invoice network
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
FR_PAMYDATANEMHANDELPEPPOLPORTUGUESE_TAX_REPORTINGSDIVERIFACTU -
typestringType of customer
BUSINESS- Business customerCONSUMER- Consumer customerGOVERNMENT- Government customer
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BUSINESSCONSUMERGOVERNMENT -
logoUrlstringURL to the customer's logo
-
domainstringDomain of the customer's website
-
externalSourceobjectThe external system where this product was synced from
Set when the customer was imported from another system: the system's name and the customer's id there.
-
namestringThe name of the external source
CHARGEBEE- Data synced from ChargebeeHUBSPOT- Data synced from HubSpotSALESFORCE- Data synced from SalesforceSTRIPE- Data synced from Stripe
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
CHARGEBEEHUBSPOTSALESFORCESTRIPE -
externalIdstringThe ID of the object in the external source system
-
-
createdAtstring · date-timeTimestamp when the customer was created
-
updatedAtstring · date-timeTimestamp when the customer was last updated
-
customPropertiesarray of objectList of custom properties associated with the customer
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
recipientEmailsarray of stringBilling email recipients ("Send to") used when sending invoices to this customer
-
ccEmailsarray of stringBilling email CC recipients used when sending invoices to this customer